Bug 61872 - SLIDESHOW: Scanned images are displayed distorted with hardware acceleration enabled
Summary: SLIDESHOW: Scanned images are displayed distorted with hardware acceleration ...
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.6.5.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-05 18:40 UTC by Thomas D.
Modified: 2015-04-01 14:52 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
sample images and screenshot of the presentation (845.39 KB, application/zip)
2013-03-05 21:10 UTC, Thomas D.
Details
Screnshot with Hardware Acceleration activated (LO v4.0.1.2, OS: Xubuntu 12.04 x64) (1.19 MB, image/png)
2013-03-24 16:08 UTC, Thomas D.
Details
Screnshot with Hardware Acceleration deactivated (LO v4.0.1.2, OS: Xubuntu 12.04 x64) (856.60 KB, image/png)
2013-03-24 16:08 UTC, Thomas D.
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas D. 2013-03-05 18:40:29 UTC
While hardware acceleration is enabled, pictures I scanned (300dpi and 600dpi) are displayed distorted in presentation view while looking fine in edit mode.
Images taken from the internet look good in both views.
(See samples in attachment)

This problem occurs on 
- Windows XP SP3 
- Xubuntu 12.04; 
both with Libre Office 4.0.0.3.

The attachment contains:
- FromInternet.jpg - image from the internet that displays well (edit and presentation)
- PresentationView.png - Screenshot of presentation view with hardware acceleration enabled containing the provided images
- Scanned300dpi.jpg - sample image scanned with 300dpi
- Scanned600dpi.jpg - sample image scanned with 600dpi

When I disable hardware acceleration the images are all displayed fine.
Comment 1 Jorendc 2013-03-05 18:48:08 UTC
Maybe I'm a bit to fast here. I talked to you via IRC :-).
Is it possible for you to attach mentioned attachments?

PS: I recall you said this is already reproducible using 3.6.5.2. Therefore I mark this as a bug of LibreOffice 3.6.5.2. This is the oldest reproducible version we can reproduce this behavior (probably reproducible using older versions too).

Kind regards,
Joren
Comment 2 Thomas D. 2013-03-05 21:10:36 UTC
Created attachment 75982 [details]
sample images and screenshot of the presentation

Seems as if I did a mistake when trying to add the attachement. 
The zip file I wanted to upload was too big. So I had to resize the images a bit.

So here it is ;) Thanks for your hint.
And yes, you're right with the first version it occured.
Comment 3 A (Andy) 2013-03-24 08:55:43 UTC
not reproducible with LO 4.0.1.2 (Win7 Home, 64bit), looks fine in presentation view and edit mode with and without hardware acceleration

Does this issue still persist for you with the latest release of LO?

Can anybody else confirm this behavior?
Comment 4 Jacques Guilleron 2013-03-24 15:43:03 UTC
No issues for me with LO 4.0.2.1 and LO 4.0.3.0+, Windows 7 Home premium, with hardware acceleration or not. Prehaps a Linux issue? 

Regards,

Jacques Guilleron
Comment 5 Thomas D. 2013-03-24 16:08:16 UTC
Created attachment 76969 [details]
Screnshot with Hardware Acceleration activated (LO v4.0.1.2, OS: Xubuntu 12.04 x64)
Comment 6 Thomas D. 2013-03-24 16:08:46 UTC
Created attachment 76970 [details]
Screnshot with Hardware Acceleration deactivated (LO v4.0.1.2, OS: Xubuntu 12.04 x64)
Comment 7 Thomas D. 2013-03-24 16:10:44 UTC
I updated to the recent version (LO 4.0.1.2) and tried again. As you can see in the attachement the problem seems to be still there. I'll see whether I can test it on another machine with Windows where this problem occured too.
Comment 8 Thomas D. 2013-03-24 16:22:06 UTC
I just tested it on a Windows XP SP3 machine. Same problem here.
Images ok with HA deactivated and distorted with HA activated.
Comment 9 bfoman (inactive) 2013-06-24 11:38:59 UTC
Could you write more detailed information about your video hardware and software then?
Comment 10 Thomas D. 2013-06-26 19:26:24 UTC
I have a NVidia GeForce GTS 450 with the drivers provided by Xubuntu. 

As far as I know the Laptop that the problem occured with too has some kind of Intel HD Graphics Chip under Windows XP, but I have to check that for I don't have it with me right now.

What kind of additional information do you need?
Comment 11 ign_christian 2014-07-02 13:57:30 UTC
Hi Thomas.. Does it solved in LO 4.2.5.2 or 4.3.0.1? 
Looks ok with my eyes in 4.2.5.2 - Ubuntu 12.04 x86.

If no please change status back to UNCONFIRMED, otherwise RESOLVED WORKSFORME
Comment 12 QA Administrators 2015-02-19 04:39:53 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team

Message generated on: 2015-02-18
Comment 13 QA Administrators 2015-04-01 14:52:15 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

-- The LibreOffice QA Team This NEEDINFO Message was generated on: 2015-04-01

Warm Regards,
QA Team